ExtendedAdditiveEQPBinomialTree Class Reference
Lattice methods

Additive equal probabilities binomial tree. More...

`#include <ql/experimental/lattices/extendedbinomialtree.hpp>`

Inheritance diagram for ExtendedAdditiveEQPBinomialTree:
[legend]

## Public Member Functions

| ExtendedAdditiveEQPBinomialTree (const ext::shared_ptr< StochasticProcess1D > &, Time end, Size steps, Real strike)
Public Member Functions inherited from ExtendedEqualProbabilitiesBinomialTree< ExtendedAdditiveEQPBinomialTree >
| ExtendedEqualProbabilitiesBinomialTree (const ext::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Real | underlying (Size i, Size index) const
Real | probability (Size, Size, Size) const
Public Member Functions inherited from ExtendedBinomialTree< ExtendedAdditiveEQPBinomialTree >
| ExtendedBinomialTree (const ext::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Size | size (Size i) const
Size | descendant (Size, Size index, Size branch) const
Public Member Functions inherited from Tree< ExtendedAdditiveEQPBinomialTree >
| Tree (Size columns)
Size | columns () const

## Protected Member Functions

Real | upStep (Time stepTime) const
Protected Member Functions inherited from ExtendedBinomialTree< ExtendedAdditiveEQPBinomialTree >
Real | driftStep (Time driftTime) const
Protected Member Functions inherited from CuriouslyRecurringTemplate< ExtendedAdditiveEQPBinomialTree >
ExtendedAdditiveEQPBinomialTree & | impl ()
const ExtendedAdditiveEQPBinomialTree & | impl () const

## Additional Inherited Members

Public Types inherited from ExtendedBinomialTree< ExtendedAdditiveEQPBinomialTree >
enum | Branches
Protected Attributes inherited from ExtendedEqualProbabilitiesBinomialTree< ExtendedAdditiveEQPBinomialTree >
Real | up_
Protected Attributes inherited from ExtendedBinomialTree< ExtendedAdditiveEQPBinomialTree >
Real | x0_
Time | dt_
ext::shared_ptr< StochasticProcess1D > | treeProcess_

## Detailed Description

Additive equal probabilities binomial tree.